3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php function foo() { throw new Exception('Duhhhhhhh'); } try { foo(); } catch (Exception $e) { echo $e; }
based on bfXG9
Output for 7.0.0 - 7.1.0
Exception: Duhhhhhhh in /in/6KN1f:4 Stack trace: #0 /in/6KN1f(8): foo() #1 {main}
Output for 5.0.0 - 5.0.2, 5.0.5 - 5.6.28, hhvm-3.10.0 - 3.12.0
exception 'Exception' with message 'Duhhhhhhh' in /in/6KN1f:4 Stack trace: #0 /in/6KN1f(8): foo() #1 {main}
Output for 5.0.3 - 5.0.4
exception 'Exception' with message 'Duhhhhhhh' in /in/6KN1f:4 Stack trace: #0 /in/6KN1f(4): foo() #1 /in/6KN1f(8): foo() #2 {main}
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected T_NEW in /in/6KN1f on line 4
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected T_NEW in /in/6KN1f on line 4
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/6KN1f on line 4
Process exited with code 255.